<?php
/*
Plugin Name: Bijin Clock
Version: 1.0
Plugin URI: http://flatpress.info/
Type: Widget
Description: "Bigin" clock FYI: http://www.bijint.com/en/
Author: Flatpress.info
Author URI: http://flatpress.info
*/

function plugin_bijinclock_widget() {
	$lang = lang_load('plugin:bijinclock');
	$widget = array();
	$widget['subject'] = $lang['plugin']['bijinclock']['subject'];
	include 'drawbijinclock.php';
			$h=plugin_geturl('bijinclock').'res/css/bijinclock.css';
			echo '<link rel="stylesheet" type="text/css" href="'.$h."\" />\n";
	return $widget;
}
register_widget('bijinclock', 'bijinclock', 'plugin_bijinclock_widget');

if (class_exists('AdminPanelAction')){
	class admin_plugin_bijinclock extends AdminPanelAction {
		function setup() {
			$this->smarty->assign('admin_resource', "plugin:bijinclock/admin.plugin.bijinclock");
			$bc_config = plugin_getoptions('bijinclock');
			if(!$bc_config['localtime']) {
                        	$localtime = "tokyo";
                        	plugin_addoption('bijinclock', 'localtime', $localtime);
                        	plugin_saveoptions('bijinclock');
			}

		}
		function main() {
			$bc_config = plugin_getoptions('bijinclock');
			$this->smarty->assign('bc_config', $bc_config);
		}
		function onsubmit() {
			if ($_POST['bc-localtime']){
				$localtime = $_POST['bc-localtime'];
				plugin_addoption('bijinclock', 'localtime', $localtime);
				plugin_saveoptions('bijinclock');
				$this->smarty->assign('success', 1);
			} else {
			 	$this->smarty->assign('success', -1);
			}
			return 2;
		}
	}
	admin_addpanelaction('plugin', 'bijinclock', true);
}

?>
